Page MenuHomePhabricator

No in-browser spell checking in Firefox when "Wikitext syntax highlighting" beta feature is enabled with the 2010 wikitext editor
Open, Needs TriagePublic

Description

Spell checking has been explicitly disabled on Windows/non-Mac because of problems with access keys (T95104): https://gerrit.wikimedia.org/r/#/c/382023/

This ticket is to enable spellchecking for Firefox users using CodeMirror.

Details

Related Gerrit Patches:
mediawiki/extensions/CodeMirror : masterEnable spellchecking on Firefox

Event Timeline

Yurivict created this task.Oct 5 2017, 3:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2017, 3:49 PM

Firefox 55.0.1

Base added a subscriber: Base.Oct 5 2017, 4:18 PM

I can reproduce this in Firefox 56.0 but not in Chromium 64.0.3282.167

Restricted Application added a project: Community-Tech. · View Herald TranscriptMar 2 2018, 6:16 PM
Jdforrester-WMF renamed this task from No in-browser spell checking when "Wikitext syntax highlighting" beta feature is enabled to No in-browser spell checking in Firefox when "Wikitext syntax highlighting" beta feature is enabled.Mar 2 2018, 6:20 PM
Jdforrester-WMF renamed this task from No in-browser spell checking in Firefox when "Wikitext syntax highlighting" beta feature is enabled to No in-browser spell checking in Firefox when "Wikitext syntax highlighting" beta feature is enabled with the 2010 wikitext editor.

I cannot reproduce this on Firefox 58.0.2 (64-bit) on OSX 10.13.3 while testing on the 2010 wikitext editor on https://en.wikipedia.org/wiki/List_of_2014_professional_women%27s_cycling_teams?action=edit&veswitched=1&oldid=755859946 or any other page

From the other ticket:

MusikAnimal added a subscriber: MusikAnimal.Edited · Fri, Mar 2, 9:43 AM
I believe spell checking on Firefox / non-Mac was disabled with https://gerrit.wikimedia.org/r/#/c/382023/ because it causes problems with access keys. More at T95104
Bencemac added a comment.Fri, Mar 2, 9:59 AM
@MusikAnimal Thanks, you are right! Then we have to wait till they fix it.
Aklapper added a comment.Fri, Mar 2, 10:15 AM
Is this the same as T177509? If so, could you mark T177509 as a duplicate (via Edit Related Tasks... → Close As Duplicate)?
Niharika added a subscriber: Niharika.Fri, Mar 2, 10:16 AM
I believe this will be fixed if we fix T184467: CodeMirror in 2017 Wikitext Editor shows overlapping text in Firefox or more specifically, T184467#3958893.

We cannot reproduce this issue and suggest we mark it as resolved unless someone else is able to verify it is still a defect. Thank you.

@TBolliger Visit my sandbox and edit the test space section. If you turn on syntax highlighting, the English spell checker doesn't mark the Hungarian words. If you turn it off, it does. I check it on Firefox 59.0.1 with Hungarian-English spell checker.

TBolliger added a comment.EditedMar 21 2018, 5:52 PM

@TBolliger Visit my sandbox and edit the test space section. If you turn on syntax highlighting, the English spell checker doesn't mark the Hungarian words. If you turn it off, it does. I check it on Firefox 59.0.1 with Hungarian-English spell checker.

I still can't get reproduce this defect on my Macbook running OSX 10.13.3 High Sierra. I tried every combination of browser language, keyboard language, input language, and mediawiki language preference on Hungarian and English.

I'm not saying it's an invalid bug on your machine — there must be something else at play. Are you on a Windows machine?

@Bencemac Are you on Firefox Quantum?
I can't reproduce either. With both CodeMirror on or off, the Hungarian words are marked as misspelled by the spell-checker.

Firefox 59.0.1 is the latest version of Firefox, that's the version I tested on.

@Niharika Windows 10, Firefox 59.0.1 (Quantum). It was previously reported from a user on huWiki, therefore I'm here (I use always the 2017 wikitext editor for helping debugging it).

@Niharika Windows 10, Firefox 59.0.1 (Quantum). It was previously reported from a user on huWiki, therefore I'm here (I use always the 2017 wikitext editor for helping debugging it).

Spell checking has been explicitly disabled on Windows/non-Mac because of problems with access keys (T95104): https://gerrit.wikimedia.org/r/#/c/382023/ Good to have this ticket though, because obviously it'd be nice to have spell checking.

@Niharika Windows 10, Firefox 59.0.1 (Quantum). It was previously reported from a user on huWiki, therefore I'm here (I use always the 2017 wikitext editor for helping debugging it).

Spell checking has been explicitly disabled on Windows/non-Mac because of problems with access keys (T95104): https://gerrit.wikimedia.org/r/#/c/382023/ Good to have this ticket though, because obviously it'd be nice to have spell checking.

Oooh, you're right. I remembered we disabled it but I didn't remember that it was supposed to be enabled for Mac users.
I'm gonna revert that change (this was the fix we were initially going to deploy for T184467) and we can see if there are still problems with editing in Firefox.
If it turns out that it creates problems then we can deploy it again.

@Niharika Windows 10, Firefox 59.0.1 (Quantum). It was previously reported from a user on huWiki, therefore I'm here (I use always the 2017 wikitext editor for helping debugging it).

Spell checking has been explicitly disabled on Windows/non-Mac because of problems with access keys (T95104): https://gerrit.wikimedia.org/r/#/c/382023/ Good to have this ticket though, because obviously it'd be nice to have spell checking.

Oooh, you're right. I remembered we disabled it but I didn't remember that it was supposed to be enabled for Mac users.
I'm gonna revert that change (this was the fix we were initially going to deploy for T184467) and we can see if there are still problems with editing in Firefox.
If it turns out that it creates problems then we can deploy it again.

Sounds good to me, Niharika. Can you get the tickets in order, please? Thank you!

Niharika claimed this task.Mar 22 2018, 6:23 PM
Niharika edited projects, added Community-Tech-Sprint; removed Community-Tech.
Niharika moved this task from Ready to Needs Review/Feedback on the Community-Tech-Sprint board.

The patch is at https://gerrit.wikimedia.org/r/#/c/421349/

Fomafix raised a valid concern about https://github.com/codemirror/CodeMirror/issues/5253 still being an issue. I'm unable to test it, being on a Mac. Can someone else confirm if this still happens with the latest Firefox version?
It can be tested at http://commtech.wmflabs.org/w/index.php?title=Sample_page&action=edit

The patch is at https://gerrit.wikimedia.org/r/#/c/421349/
Fomafix raised a valid concern about https://github.com/codemirror/CodeMirror/issues/5253 still being an issue. I'm unable to test it, being on a Mac. Can someone else confirm if this still happens with the latest Firefox version?
It can be tested at http://commtech.wmflabs.org/w/index.php?title=Sample_page&action=edit

It does. (Windows 10, FF 59.0.1)

Thanks @Bencemac. So I suppose we cannot enable spell-checking for Firefox unless that is fixed first.

@TBolliger This looks like a no-go (see conversation above). I'm taking this to not be a deployment blocker however.

Change 421349 had a related patch set uploaded (by TheDJ; owner: Niharika29):
[mediawiki/extensions/CodeMirror@master] Revert "Disable spellchecking for Firefox users on non-Mac systems"

https://gerrit.wikimedia.org/r/421349

Niharika removed Niharika as the assignee of this task.Aug 9 2018, 11:21 PM
Niharika updated the task description. (Show Details)

On Firefox 65 the problem with the accesskeys does not exist anymore. Mozilla probably fixed this problem in a version between 59 and 65.

Nice catch, thanks! Does that make this ticket obsolete and https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/CodeMirror/+/421349/ declined?

This means, that disabling of the spellchecking in Firefox is not needed anymore. https://gerrit.wikimedia.org/r/421349 removes the disabling of the spellchecking and can now merged. Maybe a version check of the exact Firefox version should remain to prevent that older Firefox versions accidentally insert accesskey characters into the content when the accesskey is used.

Firefox 63 is affected by the accesskey problem. Firefox 64 is untested. Therefor I disabled the spellchecker for Firefox < 65 in PS5.